<div class="col-md-5">
    <table class="table table-bordered">
    <tbody>
        <th colspan="2">Modalités</th>
        <tr>
            {% if 'prix fixe' == stage.formule_tarifaire %}
            <td style="width: 30%;" class=""><strong>Tarif</strong></td>
            <td>
                <strong class="">prix fixe de {{ (stage.tarif_reservation) or '- €' }}</strong><br/>
                hors adhésion annuelle à 10€
            </td>
            {% elif 'prix fixe ou prix libre' == stage.formule_tarifaire %}
            <td style="width: 30%;" class=""><strong>Tarif</strong></td>
            <td>
                <strong class="">{{ (stage.tarif_reservation) or '- €' }}</strong><br />
                hors adhésion annuelle à 10€
            </td>
            {% elif 'prix libre' == stage.formule_tarifaire %}
            <td style="width: 30%;" class=""><strong>Tarif</strong></td>
            <td>
                <strong class="">prix libre</strong><br/>
                <span class="font-italic">merci de prendre connaissance de ce qui signifie le prix libre (voir détails ci-dessous).</span>
            </td>
            </tr><tr>
            <td style="width: 30%;" class=""><strong>Tarif de réservation</strong></td>
            <td>
                <strong class="">{{ (stage.tarif_reservation) or '- €' }}</strong><br/>
                hors adhésion annuelle à 10€
            </td>
            {% endif %}
        </tr><tr>
            <td style="width: 30%;">Durée</td>
            <td>{{ stage.duree or '-' }}</td>	
        </tr><tr>
            <td style="width: 30%;">Horaires</td>
            <td>{{ stage.horaires_debut or '-' }} à {{ stage.horaires_fin or '-' }}</td>	
        </tr>
        <tr>
            <td style="width: 30%;">Lieu</td>
            <td>
                {% if "Lusignan (86600)" in stage.lieu %}
                {{ stage.lieu or '' }}
                {% else %}
                <span style="color: var(--primary);text-decoration:underline;">{{ stage.lieu or '' }}</span>
                {% endif %}
            </td>	
        </tr>
        <tr>
            <td style="width: 30%;">Hébergement</td>
            <td>{{ stage.hebergement or '' }}</td>	
        </tr>
        <tr>
            <td style="width: 30%;">Repas</td>
            <td> {{ stage.repas or '' }}</td>	
        </tr>
        <tr>
            <td style="width: 30%;">Participant·e·s</td>
            <td>{{ stage.participants_min or '-' }} à {{ stage.participants_max or '-' }} personnes</td>	
        </tr>
    </tbody></table>
</div>

<div class="col-md-5">
    
    <div class="row">
        <table class="table table-bordered">
            <tbody>
                <th style="width: 30%;" colspan="1">Organisateur·rice</th>
                <td>{{ stage.organisateur or '' }}</td>
                <tr>
                    <td style="width: 30%;">Courriel</td>
                    <td>
                        <a href='' data-enc="{{ stage.organisateur_courriel_enc or '' }}" class='rot-enc email'>{{ stage.organisateur_courriel_enc or '' }}</a>
                    </td>	
                </tr><tr>
                    <td style="width: 30%;">Téléphone</td>
                    <td>
                        <a href='' data-enc="{{ stage.organisateur_tel_enc or '' }}" class='rot-enc tel'>{{ stage.organisateur_tel_enc or '' }}</a>
                    </td>	
                </tr>
            </tbody>
        </table>
    </div>

    <div class="row">
        <table class="table table-bordered">
            <tbody>
                <th style="width: 30%;" colspan="1">Encadrant·e</th>
                <td>{{ encadrant_principal.prenom or '' }} {{ (encadrant_principal.nom or '') | upper }} {{'/' if organisation else  '' }} {{ (organisation | markdown) if (organisation) else  '' }}</td>
                <tr>
                    <td style="width: 30%;">Qualifications</td>
                    <td>
                        {{ encadrant_principal.qualifications or '' }}
                    </td>	
                </tr>
                <tr>
                    <td style="width: 30%;">Courriel</td>
                    <td>
                        <a href='' data-enc="{{ stage.encadrant_courriel_enc or '' }}" class='rot-enc email'>{{ stage.encadrant_courriel_enc or '' }}</a>
                    </td>	
                </tr><tr>
                    <td style="width: 30%;">Téléphone</td>
                    <td>
                        <a href='' data-enc="{{ stage.encadrant_tel_enc or '' }}" class='rot-enc tel'>{{ stage.encadrant_tel_enc or '' }}</a>
                    </td>	
                </tr>
            </tbody>
        </table>
        <p class="pl-2 font-italic">Merci de contacter en premier lieu l'organisteur·rice du stage.</p>
    </div>
    
    
</div>

<div class="w-100"></div>

<div class="col-md-5 mt-4 p-5">
    <h3 class="mt-4 mb-6">Présentation</h3>
    {{ stage.presentation or '' }}
</div>

<div class="col-md-5 mt-4 p-5 objectifs">
    <h3 class="mt-4 mb-6">Objectifs</h3>
    {{ stage.objectifs or '' }}
</div>

<div class="w-100"></div>

<div class="col-md-5 mt-4 p-5">
    <h3 class="mt-4 mb-4">Programme</h3>
    {{ stage.programme or '' }}
</div>

<div class="col-md-5 mt-4 p-5">
    <h3 class="mt-4 mb-4">Pré-requis</h3>
    <p>{{ stage.prerequis or ''}}</p>
</div>

<div class="w-100"></div>

<div class="col-md-5 mt-4 p-5">
    <h3 class="mt-4 mb-4">Détails</h3>
    <p>{{ stage.details or ''}}</p>
</div>

<div class="col-md-5 mt-4 p-5">
    {% if 'prix libre' in stage.formule_tarifaire %}
    <h3 class="mt-4 mb-4">Prix libre : <span style="color: var(--primary);text-decoration:underline;">quelques précisions</span></h3>
    <p>Certain·e·s de nos stages et formations sont indiqué·e·s à <strong>prix libre</strong>.
    Afin de réserver votre place, nous vous demandons de verser le montant du <strong>tarif de réservation</strong>. Ce montant <strong>ne couvre pas</strong> l&#39;ensemble des frais d&#39;organisation du stage ou de la formation.</p>
    {% endif %}
    {% if 'prix libre' in stage.formule_tarifaire %}
        {% if stage.details_prixlibre %}
        <p><strong>Ci-dessous les précisions et indications sur le prix libre</strong>, spécifique à ce stage ou à cette formation.</p>
        {{ stage.details_prixlibre }}
        {% else %}
        <p>Il couvre uniquement une partie des frais fixes.
        <strong>Ci-dessous les précisions et indications sur le prix libre</strong>, spécifique à ce stage ou à cette formation,
        à retrouver ci-dessous.</p>
        {% endif %}
    {% endif %}
    <h3 class="mt-10 mb-4">Modalités de remboursement / annulation</h3>
    <p>
        <p>Si vous nous prevenez :</p>
        <ul>
        <li>plus de 30 jours avant le début du stage : remboursement, avoir ou report possible.</li>
        <li>moins de 30 jours avant le début du stage :<ul>
        <li>avec un justificatif officiel : remboursement, avoir ou report possible.</li>
        <li>sans un justificatif officiel :<ul>
        <li>si nous trouvons un·e remplaçant·e : remboursement, avoir ou report possible.</li>
        <li>si nous ne trouvons pas de remplaçant·e : ni remboursement, ni avoir, ni report</li>
        </ul>
        </li>
        </ul>
        </li>
        </ul>
    </p>
    <p>Les bons cadeaux sont valables jusqu'au 31 décembre de l'année N ou N+1.</p>
    <p>Ils sont remboursables ou reportables sur l'année suivante :</p>
    <ul>
    <li>si nous vous avons proposé deux dates ou moins, avant son expiration</li>
    </ul>
    <p>Si vous avez eu plus de 3 dates parmis lesquelles choisir, il n'est ni remboursable ni reportable.</p>
    <p>Une fois que vous avez choisi un date, ce sont les conditions précédentes de réservation de stage qui s'appliquent.</p>

</div>

<script>    
    frappe.ready(() => {
        frappe.require('/assets/asv/js/utils.js', () => {
            var els = document.getElementById("website_content").getElementsByClassName("rot-enc")    							
            for (var i=0; i < els.length; i++) {
                var el = els[i];
                var enc = el.dataset.enc;
                var dec = "";
                if (el.classList.contains("email")) {
                    var dec = rot13(enc);
                    el.setAttribute("href", "mailto:"+dec);
                }
                if (el.classList.contains("tel")) {
                    var dec = rot5(enc);
                    el.setAttribute("href", "tel://"+dec);
                }
                el.innerHTML = dec;
            }
        });
    })
</script>